List states for a country
GET /api/v5/locations/states
GET
/api/v5/locations/states
Returns the states/territories for a country code, plus whether a state and/or postcode are required when addressing in that country.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” countryCode
Two-letter ISO country code (e.g. AU). Blank/unknown returns an empty list.
string
Two-letter ISO country code (e.g. AU). Blank/unknown returns an empty list.
Responses
Section titled “ Responses ”Country states response
object
states
required
States or territories available for the selected country.
Array<object>
object
code
required
State or territory code (e.g. NSW).
string
name
required
Full state or territory name (e.g. New South Wales).
string
state_required
required
Whether a state must be supplied when addressing in this country.
boolean
postcode_required
required
Whether a postcode must be supplied when addressing in this country.
boolean